Sign in to follow this  
Followers 0
jobobbo

AutoIt3 vs AutoIt2 executables in a limited enviroment

5 posts in this topic

Hey all,

I've got an unattended Windows XP install disc i've been working on. One of the last things that still annoy me about it is the mid-point windows setup "wizard" where you set up networking, etc. I created a nice GUI in AutoIt v3 (3.2.5.1) to allow the user to select all of those options when just starting out (still in interactive mode, right after the text-setup portion), but when I try to run it from my "presetup.cmd" batch file it doesn't run and gives me the error message "The system cannot execute the specified program." with error code 9020.

Next, I tried a very simple one line script (just a MsgBox() command), and recieved the same error

Next I tried making another simple and another complex script in AutoIt2 and both ran as expected in the limited pre-windows-setup enviroment

I found very few references to this error:

http://www.autoitscript.com/forum/lofivers....php?t8065.html

And here (my specific problem):

http://www.msfn.org/board/index.php?showto...mp;#entry263608

Does anyone know the differences between the two AutoIt versions that would cause v2 to work and v3 to not. I was thinking it may be a dll problem also, like here:

http://blogs.msdn.com/nikolad/articles/427101.aspx

I used dependency walker on both simple scripts and came up with these results:

* testv2.exe:

kernel32.dll

advapi32.dll

comdlg32.dll

gdi32.dll

shell32.dll

user32.dll

* testv3.exe:

kernel32.dll

advapi32.dll

comctl32.dll

comdlg32.dll

gdi32.dll

mpr32.dll

ole32.dll

oleaut32.dll

shell32.dll

user32.dll

version.dll

winmm.dll

wsock32.dll

Obviously, there a few more dependency dlls to the version 3 script. Is there some way I can load them? The easy way to get around my whole problem is to just use AutoIt2, but I really need the GUI functions from AutoIt3.

Thanks,

oo

Share this post


Link to post
Share on other sites



3.2.4.9 is the latest release version, 3.2.5.1 is the latest beta version. Have you tried the same thing in 3.2.4.9 release?

Another problem is that the GUI subsystem might be different in a PE environment. Are you using WinPE or BartPE?


[font="Fixedsys"][list][*]All of my AutoIt Example Scripts[*]http://saneasylum.com[/list][/font]

Share this post


Link to post
Share on other sites

Yes, I know 3.2.5.1 is (latest) beta. I have also tried the stable 3.2.4.9 as well as numerous other previous versions of AutoIt3. I am not using a PE environment, but I saw a post wherein someone had the same sort of trouble. My environment is during (actually, right before) windows setup executable is run ("setup.exe" from the cabbed "setup.ex_" in the I386 folder). I tried another program without ANY GUI subsystem whatsoever (assign a variable and exit) and it still has the same error as before, leading me to believe that even the simplest AutoIt3 program requires a DLL that isn't initialized/present at runtime.

Share this post


Link to post
Share on other sites

This is most likely a developer question. Try posting this in AutoIt Feature Requests (but not Bug Reports, as AutoIt is not designed with a PE environment in mind.)


[font="Fixedsys"][list][*]All of my AutoIt Example Scripts[*]http://saneasylum.com[/list][/font]

Share this post


Link to post
Share on other sites

leading me to believe that even the simplest AutoIt3 program requires a DLL that isn't initialized/present at runtime.

Seeing as the script is a windows based interpreted language, that makes perfect sense to me.

Common sense plays a role in the basics of understanding AutoIt... If you're lacking in that, do us all a favor, and step away from the computer.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0